Server Azure AD Administrators - Get

Krijgt een Azure Active Directory-beheerder.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/administrators/ActiveDirectory?api-version=2025-01-01

URI-parameters

Name In Vereist Type Description
administratorName
path True

AdministratorName

De naam van de active directory-beheerder van de server.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

De naam van de resourcegroep. De naam is hoofdletterongevoelig.

serverName
path True

string

De naam van de server.

subscriptionId
path True

string (uuid)

De id van het doelabonnement. De waarde moet een UUID zijn.

api-version
query True

string

minLength: 1

De API-versie die voor deze bewerking moet worden gebruikt.

Antwoorden

Name Type Description
200 OK

ServerAzureADAdministrator

Azure-operatie succesvol voltooid.

Other Status Codes

ErrorResponse

Een onverwachte foutreactie.

Beveiliging

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Stroom: implicit
Autorisatie-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiken

Name Description
user_impersonation Uw gebruikersaccount imiteren

Voorbeelden

Gets a Azure Active Directory administrator.

Voorbeeldaanvraag

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-6440/administrators/ActiveDirectory?api-version=2025-01-01

Voorbeeldrespons

{
  "name": "ActiveDirectory",
  "type": "Microsoft.Sql/servers/administrators",
  "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-4799/providers/Microsoft.Sql/servers/sqlcrudtest-6440/administrators/ActiveDirectory",
  "properties": {
    "administratorType": "ActiveDirectory",
    "azureADOnlyAuthentication": true,
    "login": "bob@contoso.com",
    "sid": "c6b82b90-a647-49cb-8a62-0d2d3cb7ac7c",
    "tenantId": "c6b82b90-a647-49cb-8a62-0d2d3cb7ac7c"
  }
}

Definities

Name Description
AdministratorName
AdministratorType

Type van de serverbeheerder.

createdByType

Het type identiteit waarmee de resource is gemaakt.

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

ErrorDetail

De foutdetails.

ErrorResponse

Foutreactie

ServerAzureADAdministrator

Azure Active Directory administrator.

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

AdministratorName

Waarde Description
ActiveDirectory

Active Directory

AdministratorType

Type van de serverbeheerder.

Waarde Description
ActiveDirectory

Active Directory

createdByType

Het type identiteit waarmee de resource is gemaakt.

Waarde Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

Name Type Description
info

object

De aanvullende informatie.

type

string

Het extra informatietype.

ErrorDetail

De foutdetails.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

De fout bevat aanvullende informatie.

code

string

De foutcode.

details

ErrorDetail[]

De foutdetails.

message

string

Het foutbericht.

target

string

Het foutdoelwit.

ErrorResponse

Foutreactie

Name Type Description
error

ErrorDetail

Het foutobject.

ServerAzureADAdministrator

Azure Active Directory administrator.

Name Type Description
id

string (arm-id)

Volledig gekwalificeerde resource-id voor de resource. Bijvoorbeeld /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceType}/{resourceName}"

name

string

De naam van de resource

properties.administratorType

AdministratorType

Type van de serverbeheerder.

properties.azureADOnlyAuthentication

boolean

Azure Active Directory alleen authenticatie ingeschakeld.

properties.login

string

Aanmeldingsnaam van de serverbeheerder.

properties.sid

string (uuid)

SID (object-id) van de serverbeheerder.

properties.tenantId

string (uuid)

Tenant-id van de beheerder.

systemData

systemData

Azure Resource Manager metadata met creationBy en modifiedBy informatie.

type

string

Het type bron. Bijvoorbeeld: "Microsoft. Compute/virtualMachines" of "Microsoft. Opslag/opslagAccounts"

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

Name Type Description
createdAt

string (date-time)

De tijdstempel van het maken van resources (UTC).

createdBy

string

De identiteit waarmee de resource is gemaakt.

createdByType

createdByType

Het type identiteit waarmee de resource is gemaakt.

lastModifiedAt

string (date-time)

Het tijdstempel van de laatste wijziging van de resource (UTC)

lastModifiedBy

string

De identiteit die de resource voor het laatst heeft gewijzigd.

lastModifiedByType

createdByType

Het type identiteit dat de resource voor het laatst heeft gewijzigd.